package lab16_composite.ex1;

import java.util.ArrayList;
import java.util.List;

public class Team implements Entity {
    private List<Entity> entities = new ArrayList<>();

    public void add(Entity entity) {
        entities.add(entity);
    }

    public void remove(Entity entity) {
        entities.remove(entity);
    }

    @Override
    public void cry() {
        for (Entity entity : entities) {
            entity.cry();
        }
    }

    @Override
    public void simulateInjury() {
        for (Entity entity : entities) {
            entity.simulateInjury();
        }
    }

    @Override
    public void enterField() {
        for (Entity entity : entities) {
            entity.enterField();
        }
    }

    @Override
    public void shoot() {
        for (Entity entity : entities) {
            entity.shoot();
        }
    }
}
